import CardBlog from "@/components/CardBlog";
import HeroImage from "@/components/HeroImage";
import { CardBlogData } from "@/schema/blog";
import { getDefaultMetadata } from "@/utils/metadata";
import { Metadata } from "next";

const metaDesc =
  "Explore the latest insights, news, and resources on the Dynamic Realty blog. Read our articles today.";

export async function generateMetadata(): Promise<Metadata> {
  const metadata = await getDefaultMetadata();
  metadata.title = `Blog - ${metadata.openGraph?.siteName}`;
  metadata.description = metaDesc;

  return metadata;
}

export default function Blog() {
  const data: CardBlogData[] = [
    {
      slug: "introducing-a-ray-kappe",
      title: "Introducing A Ray Kappe-Designed Masterpiece",
      description:
        "The famed Cipriani family has unveiled Mr. C Residences, its first-ever hotel branded residences, situated adjacent to the flagship",
      img: "/images/blog-04-736x540.jpg",
      posted_at: "March 15, 2021",
    },
    {
      slug: "24234",
      title: "Introducing A Ray Kappe-Designed Masterpiece",
      description:
        "The famed Cipriani family has unveiled Mr. C Residences, its first-ever hotel branded residences, situated adjacent to the flagship",
      img: "/images/blog-04-736x540.jpg",
      posted_at: "March 15, 2021",
    },
    {
      slug: "wkejrh2k3jr",
      title: "Introducing A Ray Kappe-Designed Masterpiece",
      description:
        "The famed Cipriani family has unveiled Mr. C Residences, its first-ever hotel branded residences, situated adjacent to the flagship",
      img: "/images/blog-04-736x540.jpg",
      posted_at: "March 15, 2021",
    },
    {
      slug: "1l2kj4lw34",
      title: "Introducing A Ray Kappe-Designed Masterpiece",
      description:
        "The famed Cipriani family has unveiled Mr. C Residences, its first-ever hotel branded residences, situated adjacent to the flagship",
      img: "/images/blog-04-736x540.jpg",
      posted_at: "March 15, 2021",
    },
    {
      slug: "asflj2lj53545",
      title: "Introducing A Ray Kappe-Designed Masterpiece",
      description:
        "The famed Cipriani family has unveiled Mr. C Residences, its first-ever hotel branded residences, situated adjacent to the flagship",
      img: "/images/blog-04-736x540.jpg",
      posted_at: "March 15, 2021",
    },
    {
      slug: "adflkj2oj545",
      title: "Introducing A Ray Kappe-Designed Masterpiece",
      description:
        "The famed Cipriani family has unveiled Mr. C Residences, its first-ever hotel branded residences, situated adjacent to the flagship",
      img: "/images/blog-04-736x540.jpg",
      posted_at: "",
    },
  ];

  return (
    <>
      <HeroImage />
      <section className="section section-md bg-colorSection2">
        <div className="container">
          <div>
            <form action="/blog" method="GET" className="form-lg rd-search rd-search-classic">
              <div className="form-wrap">
                <input
                  placeholder="Search blog..."
                  className="form-input"
                  id="rd-search-form-input"
                  type="text"
                  name="s"
                  autoComplete="off"
                />
              </div>
              <button className="rd-search-submit" type="submit"></button>
            </form>
          </div>
          <div className="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-6 mt-5">
            {data.map((blog) => (
              <CardBlog key={blog.slug} data={blog} />
            ))}
          </div>
          <div className="mt-5">
            <button type="submit" className="button button-primary">
              LOAD MORE...
            </button>
          </div>
        </div>
      </section>
    </>
  );
}
