import { CardBlogData } from "@/schema/blog";
import Image from "next/image";

type CardBlogProps = {
  data: CardBlogData;
};

export default function CardBlog({ data }: CardBlogProps) {
  return (
    <div>
      <article className="post-default">
        <a className="post-default-image" href="blog-post.html">
          <Image src={data.img} alt={data.title} width="736" height="540" />
        </a>
        <div className="post-default-body">
          <div className="post-default-title">
            <h4>
              <a href="blog-post.html">{data.title}</a>
            </h4>
          </div>
          <div className="post-default-divider"></div>
          <div className="post-default-text">
            <p>{data.description}</p>
          </div>
          <div className="post-default-time">
            <span className="icon mdi mdi-clock"></span>
            <a href="#">{data.posted_at}</a>
          </div>
        </div>
      </article>
    </div>
  );
}
